<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* help-form-delete.twig */
class __TwigTemplate_c06bb808ef6f31f8b4b060c370593bdab606bdfda42a79070310353b13bbe8cc extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 10
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 11
        $context["forms"] = $this->loadTemplate("forms.twig", "help-form-delete.twig", 11)->unwrap();
        // line 10
        $this->parent = $this->loadTemplate("form-base.twig", "help-form-delete.twig", 10);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 13
    public function block_formTitle($context, array $blocks = [])
    {
        // line 14
        echo "    ";
        echo __("Delete Help Link");
    }

    // line 17
    public function block_formButtons($context, array $blocks = [])
    {
        // line 18
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 19
        echo __("Yes");
        echo ", \$(\"#helpDeleteForm\").submit()
";
    }

    // line 22
    public function block_formHtml($context, array $blocks = [])
    {
        // line 23
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"helpDeleteForm\" class=\"XiboForm form-horizontal\" method=\"delete\" action=\"";
        // line 25
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("help.delete", ["id" => $this->getAttribute(($context["help"] ?? null), "helpId", [])]), "html", null, true);
        echo "\">        
                ";
        // line 26
        ob_start(function () { return ''; });
        echo __("Are you sure you want to delete this Help page? This cannot be undone");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 27
        echo "                ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "help-form-delete.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  81 => 27,  77 => 26,  73 => 25,  69 => 23,  66 => 22,  60 => 19,  55 => 18,  52 => 17,  47 => 14,  44 => 13,  39 => 10,  37 => 11,  31 => 10,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "help-form-delete.twig", "/home/mgatv524/public_html/edurocha/views/help-form-delete.twig");
    }
}
